package server

import (
	"github.com/gin-gonic/gin"
	ginlogrus "github.com/toorop/gin-logrus"
	"jonasled.dev/jonasled/ems-esp-logger/log"
)

var R *gin.Engine

func Init() {
	log.Log.Info("Initializing webserver")
	R = gin.New()
	R.Use(ginlogrus.Logger(log.Log), gin.Recovery())

	initGeneralRoutes()
	initCreateInstanceRoute()
	initUploadDataRouter()
}

func Run() {
	log.Log.Info("starting webserver")
	R.Run()
}
